summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--office/verbiste/README10
-rw-r--r--office/verbiste/slack-desc19
-rw-r--r--office/verbiste/verbiste.SlackBuild81
-rw-r--r--office/verbiste/verbiste.desktop15
-rw-r--r--office/verbiste/verbiste.info10
5 files changed, 135 insertions, 0 deletions
diff --git a/office/verbiste/README b/office/verbiste/README
new file mode 100644
index 0000000000..8c2b5ac01d
--- /dev/null
+++ b/office/verbiste/README
@@ -0,0 +1,10 @@
+Verbiste is a French conjugation system.
+
+Verbiste contains a C++ library, two programs (a french-conjugator and a
+french-deconjugator) that can be run from the command line or from another
+program, and a GTK application (verbiste-gtk). The knowledge base is
+represented in XML and contains over 7000 verbs There is also a small
+Italian dictionary of 120 verbs. The graphical interface lets the user
+look up a verb in one or both languages.
+
+This requires wxGTK.
diff --git a/office/verbiste/slack-desc b/office/verbiste/slack-desc
new file mode 100644
index 0000000000..ec91b12043
--- /dev/null
+++ b/office/verbiste/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+verbiste: Verbiste (a French conjugation system)
+verbiste:
+verbiste: Verbiste Contains a C++ library and two command line programs to
+verbiste: conjugate and analyze conjugated verbs and can be run from the
+verbiste: command line or from another program, and it also contains a GTK
+verbiste: application (verbiste-gtk). The knowledge base is represented in
+verbiste: XML and contains over 7000 verbs. There is also a small Italian
+verbiste: dictionary of 120 verbs. The graphicalinterface lets the user look
+verbiste: up a verb in one or both languages.
+verbiste:
+verbiste: Webpage : http://sarrazip.com/dev/verbiste.html
diff --git a/office/verbiste/verbiste.SlackBuild b/office/verbiste/verbiste.SlackBuild
new file mode 100644
index 0000000000..7984dc1ab2
--- /dev/null
+++ b/office/verbiste/verbiste.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+#
+# Didier Charles 2010.07.07
+# dcharles@alumni.concordia.ca
+# written with the grateful assistance of the tutorial
+# "Writing A SlackBuild Script" at :
+# http://www.slackwiki.org/Writing_A_SlackBuild_Script
+# and with the guidance of the templates at:
+# http://slackbuilds.org/templates/
+#
+
+PRGNAM=verbiste
+VERSION=${VERSION:-0.1.30}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr/ \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --with-gtk-app \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/share/applications/
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mv $PKG/usr/share/doc/ $PKG/usr/
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mv $PKG/usr/share/man $PKG/usr/
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/verbiste/verbiste.desktop b/office/verbiste/verbiste.desktop
new file mode 100644
index 0000000000..c27cfc7c18
--- /dev/null
+++ b/office/verbiste/verbiste.desktop
@@ -0,0 +1,15 @@
+[Desktop Entry]
+Icon=verbiste
+Name=Verbiste
+Name[fr]=Verbiste
+Name[en_GB]=Verbiste
+GenericName=French conjugation system
+GenericName[fr]=système de conjugaison française
+GenericName[en_GB]=French conjugation system
+Comment=
+Comment[fr]=
+Comment[en_GB]=
+Exec=verbiste-gtk %u
+Terminal=false
+Type=Application
+Categories=Education;Languages;Office;
diff --git a/office/verbiste/verbiste.info b/office/verbiste/verbiste.info
new file mode 100644
index 0000000000..7df4606d32
--- /dev/null
+++ b/office/verbiste/verbiste.info
@@ -0,0 +1,10 @@
+PRGNAM="verbiste"
+VERSION="0.1.30"
+HOMEPAGE="http://sarrazip.com/dev/verbiste.html"
+DOWNLOAD="http://perso.b2b2c.ca/sarrazip/dev/verbiste-0.1.30.tar.gz"
+MD5SUM="e81591746660f763f8cd7eea49bacbe4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Didier Charles"
+EMAIL="dcharles@alumni.concordia.ca"
+APPROVED="rworkman"